Bug 4063 - Cyrillic letters are shown in smaller font in UTF-8 buffers
: Cyrillic letters are shown in smaller font in UTF-8 buffers
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/emacs21-X11)
: unstable
: all Linux
: P3 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-04-30 12:05 by
Modified: 2006-04-14 13:25 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-04-30 12:05:10
In Unicode buffers, apparently there are problems with font sizes chosen for
various character ranges.

Steps to Reproduce:
1. C-x RET C-c
2. Type utf-8
3. Open a file encoded with UTF-8 that contains Cyrillic characters (e.g.
Russian translations for GNOME)
Actual Results:  
The Cyrillic characters are displayed in a smaller font, breaking an otherwise
monospace character buffer.

Expected Results:  
Fonts for Cyrillic and Latin character should be the same size.
------- Comment #1 From 2004-04-30 12:15:21 -------
это проблема шрифта, а не емакса - установите фонт содержащий полный набор
уникода. У меня с 'monotype-courier new' все работает как надо.
------- Comment #2 From 2004-04-30 12:38:50 -------
Всё не так очевидно: кириллица, с которой файл открывается, показывается
меньшим
шрифтом, но символы, введённые с клавиатуры, имеют нормальный размер шрифта.

Кстати, а где лучше всего прописать главный шрифт для буферов?
В X-ресурсах, в глобальных переменных или в faces? :)
------- Comment #3 From 2004-04-30 13:04:41 -------
я прописываю в default-face, но надо сделать чтобы и для других фреймов он тоже
использовался - т.е. я прописал в default-frame-alist
------- Comment #4 From 2004-09-26 14:00:32 -------
(In reply to comment #3)
> я прописываю в default-face, но надо сделать чтобы и для других фреймов он тоже
> использовался - т.е. я прописал в default-frame-alist
Темны и непознаны глубины конфигурации emacs. А это не может быть связано с bug
#2766?
------- Comment #5 From 2005-11-23 15:13:10 -------
to current maintainers
------- Comment #6 From 2005-11-23 15:44:10 -------
Это у меня больше не проявляется.
------- Comment #7 From 2005-11-23 15:51:56 -------
превосходно! mark as fixed